RGE(4) | Device Drivers Manual | RGE(4)

# NAME

`rge` — Realtek 8125/8125B/8126 PCI Express 10/100/1Gb/2.5Gb/5Gb Ethernet device

# SYNOPSIS

`rge* at pci?`

# DESCRIPTION

The `rge` driver provides support for NICs based on the Realtek RTL8125, RTL8125B and RTL8126 PCI Express Ethernet controllers, including the following:

- IOCrest IO-PCE8126-GLAN Adapter (5000baseT)
- WisdPi WP-NA5000 Adapter (5000baseT)
- Realtek 8125/8125B 2.5GbE Adapter (2500baseT)
- Rivet Networks Killer E3000 Adapter (2500baseT)
- TP-LINK TL-NG421 Adapter (2500baseT)

NICs based on the 8125 and 8125B are capable of 10, 100, 1000 and 2500Mbps operation. NICs based on the 8126 are capable of 10, 100, 1000, 2500 and 5000Mbps operation.

# SEE ALSO

arp(4), ifmedia(4), intro(4), netintro(4), pci(4), ifconfig(8)

# HISTORY

The `rge` driver first appeared in OpenBSD 6.6 and in NetBSD 10.0.

# AUTHORS

The `rge` driver was written by Kevin Lo <kevlo@openbsd.org>.

February 4, 2025 | NetBSD 11.0